<?php
/*
  Plugin Name: Car Repair Services Core
  Plugin URI: http://smartdatasoft.com/
  Description: Helping for the SmartDataSoft  theme.
  Author: SmartDataSoft Team
  Version: 1.6
  Author URI: http://smartdatasoft.com/
 */


/**
 *
 */
if (!defined('CAR_REPAIR_SERVICE_THEME_URI')) {
    define('CAR_REPAIR_SERVICE_THEME_URI', get_template_directory_uri());
}
if (!defined('ULTIMA_NAME'))
    define('ULTIMA_NAME', 'car-repair-services');


add_action( 'plugins_loaded', 'car_repair_services_core_load_textdomain' );
/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function car_repair_services_core_load_textdomain() {
  load_plugin_textdomain( 'car-repair-services-core', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
}

add_action('admin_enqueue_scripts', 'car_repair_services_core_admin_enqueue');

function car_repair_services_core_admin_enqueue($hook) {

    wp_enqueue_style('iconfont-style', get_template_directory_uri() . '/iconfont/style.css', '', null);

    wp_enqueue_style('car-repair-services-admin-css', get_template_directory_uri() . '/css/admin.css', '', null);

//laod custom post type js
    if ($hook != 'edit.php' && $hook != 'post.php' && $hook != 'post-new.php')
        return;

    wp_enqueue_script('custom-js', plugin_dir_url(__FILE__) . '/js/admin.js');
}

/* ============================================================
 * Visual Composer shorrtcode config
 * ============================================================ */

define('PLUGIN_DIR', dirname(__FILE__) . '/');

$classesDir = array(
    PLUGIN_DIR . 'shortcode/',
    PLUGIN_DIR . 'vc_element/'
);

function __autoloadShortCode() {
    global $classesDir;
    foreach ($classesDir as $directory) {

        foreach (glob($directory . '*.php') as $filename) {
            if (file_exists($filename)) {
                include_once ($filename);
            }
        }
    }
}

function __autoloadVcMap() {
    __autoloadShortCode();
}

add_action('vc_before_init', '__autoloadVcMap');




register_activation_hook(__FILE__,'insertSiteInfo');

function insertSiteInfo() {
    $not_required = get_option('car_repair_services_info_updated');
    if ($not_required != 1) {
        if ($_SERVER['SERVER_ADDR'] == '127.0.0.1') {
            return false;
        }

        $my_theme = wp_get_theme('car-repair-services');
        if ($my_theme->exists()) {
            $themever = $my_theme->get('Version');
            $themename = $my_theme->get('Name');
        } else {
            $themever = '1.2';
            $themename = 'car-repair-services';
        }

        $url = 'http://smartdatasoft.net/verify';
        $response = wp_remote_post($url, array(
            'method' => 'POST',
            'timeout' => 45,
            'redirection' => 5,
            'blocking' => true,
            'headers' => array(),
            'body' => array(
                'purchase_key' => 'null',
                'operation' => 'insert_site',
                'domain' => $_SERVER['HTTP_HOST'],
                'module' => 'wp-car-repair-services',
                'version' => $themever,
                'theme_name' => $themename,
            ),
            'cookies' => array()
                )
        );

        if (!is_wp_error($response) && isset($response['response']['code']) && $response['response']['code'] == 200) {
            // add a option record in options table.
            update_option('car_repair_services_info_updated', '1');
        }
    }
}



$classesPostTypeDir = PLUGIN_DIR.'post_type/';

function __autoloadPostType($directory) {

      foreach (glob($directory.'*.php') as $filename)
        {
            if (file_exists($filename)) {
                include_once ($filename);
            }
        }
}

__autoloadPostType($classesPostTypeDir);



/*
 * widgets auto load
 */


$classesWidgetsDir = PLUGIN_DIR.'widgets/';

function __autoloadWidgets($directory) {
      foreach (glob($directory.'*.php') as $filename)
        {
            if (file_exists($filename)) {
       
                include_once ($filename);
            }
        }
}


__autoloadWidgets($classesWidgetsDir);

add_action('car_repair_services_after_footer', 'car_repair_services_after_footer_function');

function car_repair_services_after_footer_function() {

    if (!function_exists('car_repair_services_options'))
        return;
    $car_repair_services_option = car_repair_services_options();
   
    $gmap_latitude = (isset($car_repair_services_option['car_repair_services-gmap_latitude']) && !empty($car_repair_services_option['car_repair_services-gmap_latitude'])) ? $car_repair_services_option['car_repair_services-gmap_latitude'] : '';
    $gmap_longitude = (isset($car_repair_services_option['car_repair_services-gmap_longitude']) && !empty($car_repair_services_option['car_repair_services-gmap_longitude'])) ? $car_repair_services_option['car_repair_services-gmap_longitude'] : '';
	$gmap_zoom = (isset($car_repair_services_option['car_repair_services-gmap_zoom']) && !empty($car_repair_services_option['car_repair_services-gmap_zoom'])) ? $car_repair_services_option['car_repair_services-gmap_zoom'] : '14';

    //footer_map
    $mapkey = '';
    if (isset($car_repair_services_option['car_repair_services-gmap_api_key']) && !empty($car_repair_services_option['car_repair_services-gmap_api_key'])) {
        $mapkey .= '&key=' . $car_repair_services_option['car_repair_services-gmap_api_key'];
    }
    ?>

    <!-- map -->
    <div id="footer-map" class="footer-map"></div>


    <!-- /map -->  


    <!-- Google map -->
   
    <script type="text/javascript">

     window.addEventListener("scroll", lazyLoadGoogleMap);
        function lazyLoadGoogleMap() {
            var js_script = document.createElement('script');
            js_script.type = "text/javascript";
            js_script.src = "//maps.google.com/maps/api/js?sensor=true&callback=init<?php echo $mapkey; ?>";
            js_script.async = true;
            document.getElementsByTagName('head')[0].appendChild(js_script);
            window.removeEventListener("scroll", lazyLoadGoogleMap);
        }  
       
        function init() {
            var mapOptions = {
                zoom: parseInt(<?php echo esc_html($gmap_zoom); ?>),
                center: new google.maps.LatLng(<?php echo esc_html($gmap_latitude); ?>, <?php echo esc_html($gmap_longitude); ?>), // New York
                styles: [{
                        "featureType": "water",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#e9e9e9"
                            }, {
                                "lightness": 17
                            }]
                    }, {
                        "featureType": "landscape",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#f5f5f5"
                            }, {
                                "lightness": 20
                            }]
                    }, {
                        "featureType": "road.highway",
                        "elementType": "geometry.fill",
                        "stylers": [{
                                "color": "#ffffff"
                            }, {
                                "lightness": 17
                            }]
                    }, {
                        "featureType": "road.highway",
                        "elementType": "geometry.stroke",
                        "stylers": [{
                                "color": "#ffffff"
                            }, {
                                "lightness": 29
                            }, {
                                "weight": 0.2
                            }]
                    }, {
                        "featureType": "road.arterial",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#ffffff"
                            }, {
                                "lightness": 18
                            }]
                    }, {
                        "featureType": "road.local",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#ffffff"
                            }, {
                                "lightness": 16
                            }]
                    }, {
                        "featureType": "poi",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#f5f5f5"
                            }, {
                                "lightness": 21
                            }]
                    }, {
                        "featureType": "poi.park",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#dedede"
                            }, {
                                "lightness": 21
                            }]
                    }, {
                        "elementType": "labels.text.stroke",
                        "stylers": [{
                                "visibility": "on"
                            }, {
                                "color": "#ffffff"
                            }, {
                                "lightness": 16
                            }]
                    }, {
                        "elementType": "labels.text.fill",
                        "stylers": [{
                                "saturation": 36
                            }, {
                                "color": "#333333"
                            }, {
                                "lightness": 40
                            }]
                    }, {
                        "elementType": "labels.icon",
                        "stylers": [{
                                "visibility": "off"
                            }]
                    }, {
                        "featureType": "transit",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#f2f2f2"
                            }, {
                                "lightness": 19
                            }]
                    }, {
                        "featureType": "administrative",
                        "elementType": "geometry.fill",
                        "stylers": [{
                                "color": "#fefefe"
                            }, {
                                "lightness": 20
                            }]
                    }, {
                        "featureType": "administrative",
                        "elementType": "geometry.stroke",
                        "stylers": [{
                                "color": "#fefefe"
                            }, {
                                "lightness": 17
                            }, {
                                "weight": 1.2
                            }]
                    }]
            };
            // Get the HTML DOM element that will contain your map 
            // We are using a div with id="map" seen below in the <body>
            var mapElement = document.getElementById('footer-map');

            // Create the Google Map using our element and options defined above
            var map = new google.maps.Map(mapElement, mapOptions);
            var image = "<?php if (isset($car_repair_services_option['car_repair_services-gmap_marker']) && !empty($car_repair_services_option['car_repair_services-gmap_marker'])) echo $car_repair_services_option['car_repair_services-gmap_marker']['url']; ?>";
            // Let's also add a marker while we're at it
            // Let's also add a marker while we're at it
            var marker = new google.maps.Marker({
                position: new google.maps.LatLng(<?php echo esc_html($gmap_latitude); ?>, <?php echo esc_html($gmap_longitude); ?>),
                map: map,
                //title: '<?php esc_html_e('Snazzy!', 'car-repair-services') ?>'
                icon: image
            });
        }
    </script>

    <?php
}



/*
 * fonts auto load
 */

require_once( PLUGIN_DIR . 'fonts-loader.php');


/*
 * Gallery load
 */

require_once( PLUGIN_DIR . "/lib/sds_cpt_gallery.php" );
/*
 * sidebar load
 */
require_once( PLUGIN_DIR . "/lib/sidebar_generator.php" );

/*
 * Meta Box Configuration Post Meta Option
 */
require_once(PLUGIN_DIR . "/lib/config.meta.box.php");


/*
 *  color schema
 */


require_once( PLUGIN_DIR . 'color_schema.php');

register_activation_hook( __FILE__, 'car_repair_services_activation_func' ); 
function car_repair_services_activation_func() {
    file_put_contents(__DIR__.'/my_loggg.txt', ob_get_contents());
}

function car_repair_services_add_fonts_family(){
    
     return  array(
        array(
            'type' => 'dropdown',
            'heading' => __( 'Icon library', 'js_composer' ),
            'value' => array(
                
                __( 'Car Repair Services Icon', 'js_composer' ) => 'carrepairservices',
                __( 'Font Awesome', 'js_composer' ) => 'fontawesome',
                __( 'Open Iconic', 'js_composer' ) => 'openiconic',
                __( 'Typicons', 'js_composer' ) => 'typicons',
                __( 'Entypo', 'js_composer' ) => 'entypo',
                __( 'Linecons', 'js_composer' ) => 'linecons',
                __( 'Mono Social', 'js_composer' ) => 'monosocial',
            ),
            'param_name' => 'icon_type',
            'description' => __( 'Select icon library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-info-circle',
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'fontawesome',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_openiconic',
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'openiconic',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'openiconic',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_typicons',
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'typicons',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'typicons',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_entypo',
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'entypo',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'entypo',
            ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_linecons',
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'linecons',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'linecons',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_monosocial',
            'value' => 'vc-mono vc-mono-fivehundredpx',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'monosocial',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'monosocial',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon',
            'value' => 'icon-lightning',
            // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false,
                // default true, display an "EMPTY" icon?
                'type' => 'carrepairservices',
                'iconsPerPage' => 4000,
                // default 100, how many icons per/page to display
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'carrepairservices',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
     );
    }

    function car_repair_services_replace_icon_html($atts){
        extract(shortcode_atts(array(
            'icon' => '',
            'heading' => '',
            'description' => '',
            'icon_type' => '',
            'type'=>'carrepairservices',
            'icon_fontawesome' => '',
            'icon_openiconic'=> '',
            'icon_typicons'=> '',
            'icon_entypo'=> '',
            'icon_linecons'=> '',
            'icon_monosocial'=>'',
            ), $atts));
        if($icon_type==''){
            $icon_type=$type;
		}
        if($icon_type != 'carrepairservices' && !empty($icon_type) && function_exists('vc_icon_element_fonts_enqueue')){

               vc_icon_element_fonts_enqueue( $icon_type );
               if(${'icon_'.$icon_type}!='')
               $icon=${'icon_'.$icon_type};
            }
        return $icon;

    }
    add_filter( 'replace_icon_html', 'car_repair_services_replace_icon_html' );