<?php

class SmartContactList extends WP_Widget {
   public $defaults;
   public function __construct() {
        $this->defaults = array(
            'title' => esc_html__('Contacts', 'car-repair-services'),
            'address' => '8494 Signal Hill Road Manassas,VA, 20110',
            'hours' => 'Mon-Fri 08:00 AM - 05:00 PM, Sat-Sun',
            'facebook' => '#',            
            'twitter' => '#',            
            'googleplus' => '#',            
            'pinterest' => '#',            
            'vimeo' => '#',            
            'flickr' => '#',            
            'linkedin' => '#',            
            'youtube' => '#',            
            'dribbble' => '#',            
            'instagram' => '#'  
        );
        parent::__construct(
                'smart_contact_list', // Base ID  
                esc_html__('Car Services Contact List', 'car-repair-services'), // Name  
                array(
            'description' => esc_html__('This widget will display contact list.', 'car-repair-services')
                )
        );
   }

    function form($instance) {


        $instance = wp_parse_args((array) $instance, $this->defaults);
        ?>



        <p>

            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">

                <strong><?php esc_html_e('Title', 'car-repair-services') ?>:</strong><br /><input class="widefat" type="text" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo esc_attr($instance['title']); ?>" />

            </label>

        </p> 

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('address')); ?>"><?php esc_html_e('Address', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('address')); ?>" name="<?php echo esc_attr($this->get_field_name('address')); ?>"><?php echo wp_kses_post($instance['address']); ?></textarea>

        </p>

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('hours')); ?>"><?php esc_html_e('Hours', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('hours')); ?>" name="<?php echo esc_attr($this->get_field_name('hours')); ?>"><?php echo wp_kses_post($instance['hours']); ?></textarea>

        </p>

        <!-- facebook-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('facebook')); ?>"><?php esc_html_e('Facebook', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('facebook')); ?>" name="<?php echo esc_attr($this->get_field_name('facebook')); ?>"><?php echo wp_kses_post($instance['facebook']); ?></textarea>

        </p>
        <!-- twiiter-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('twitter')); ?>"><?php esc_html_e('Twitter', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('twitter')); ?>" name="<?php echo esc_attr($this->get_field_name('twitter')); ?>"><?php echo wp_kses_post($instance['twitter']); ?></textarea>

        </p>
        <!-- googleplus-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('googleplus')); ?>"><?php esc_html_e('Googleplus', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('googleplus')); ?>" name="<?php echo esc_attr($this->get_field_name('googleplus')); ?>"><?php echo wp_kses_post($instance['googleplus']); ?></textarea>

        </p>
        <!-- pinterest-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('pinterest')); ?>"><?php esc_html_e('Pinterest', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('pinterest')); ?>" name="<?php echo esc_attr($this->get_field_name('pinterest')); ?>"><?php echo wp_kses_post($instance['pinterest']); ?></textarea>

        </p>
        <!-- vimeo-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('vimeo')); ?>"><?php esc_html_e('Vimeo', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('vimeo')); ?>" name="<?php echo esc_attr($this->get_field_name('vimeo')); ?>"><?php echo wp_kses_post($instance['vimeo']); ?></textarea>

        </p>
        <!-- flickr-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('flickr')); ?>"><?php esc_html_e('Flickr', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('flickr')); ?>" name="<?php echo esc_attr($this->get_field_name('flickr')); ?>"><?php echo wp_kses_post($instance['flickr']); ?></textarea>

        </p>
        <!-- linkedin-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('linkedin')); ?>"><?php esc_html_e('Linkedin', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('linkedin')); ?>" name="<?php echo esc_attr($this->get_field_name('linkedin')); ?>"><?php echo wp_kses_post($instance['linkedin']); ?></textarea>

        </p>
        <!-- youtube-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('youtube')); ?>"><?php esc_html_e('Youtube', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('youtube')); ?>" name="<?php echo esc_attr($this->get_field_name('youtube')); ?>"><?php echo wp_kses_post($instance['youtube']); ?></textarea>

        </p>
        <!-- dribbble-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('dribbble')); ?>"><?php esc_html_e('Dribbble', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('dribbble')); ?>" name="<?php echo esc_attr($this->get_field_name('dribbble')); ?>"><?php echo wp_kses_post($instance['dribbble']); ?></textarea>

        </p>
        <!-- instagram-->
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('instagram')); ?>"><?php esc_html_e('Hours', 'car-repair-services') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('instagram')); ?>" name="<?php echo esc_attr($this->get_field_name('instagram')); ?>"><?php echo wp_kses_post($instance['instagram']); ?></textarea>

        </p>
        <?php
    }

    function widget($args, $instance) {


        extract($args);

       // print_r($instance);

        echo wp_kses_post($before_widget);

        if (!empty($instance['title'])) {
            $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
            echo wp_kses_post($before_title . $title . $after_title);
        };
        ?>
        <ul class="contact-list">

         

            <?php
            if (!empty($instance['address'])):
                ?>
                <li><span class="list-label"><?php echo wp_kses_post(__('<b>A</b>ddress:', 'car-repair-services'))?> </span> <span class="text"> <?php echo wp_kses_post($instance['address']); ?></span></li>
              

            <?php endif; ?>


            <?php
            if (!empty($instance['hours'])):?>
                <li>
                  
                    <?php echo wp_kses_post($instance['hours']); ?>
                </li>
            <?php endif; ?>

        <!--facebook-->
                         
            <?php
            if (!empty($instance['facebook'])):?>
                <li>
                  
                     <a class="icon icon-facebook" href="<?php echo wp_kses_post($instance['facebook']); ?>"></a>
                </li>
            <?php endif; ?>

        <!--twitter-->

            <?php
            if (!empty($instance['twitter'])):?>
                <li>
                   <a class="icon icon-twitter" href="<?php echo wp_kses_post($instance['twitter']); ?>"></a>
                </li>
            <?php endif; ?>
        
        <!--googleplus-->

            <?php
            if (!empty($instance['googleplus'])):?>
                <li>
                  <a class="icon icon-googleplus" href="<?php echo wp_kses_post($instance['googleplus']); ?>"></a>
                </li>
            <?php endif; ?>  

            <!--pinterest-->

            <?php
            if (!empty($instance['pinterest'])):?>
                <li>
                     <a class="icon icon-pinterest" href="<?php echo wp_kses_post($instance['pinterest']); ?>"></a>
                </li>
            <?php endif; ?>  

            <!--vimeo-->

            <?php
            if (!empty($instance['vimeo'])):?>
                <li>
                <a class="icon icon-vimeo" href="<?php echo wp_kses_post($instance['vimeo']); ?>"></a>
                </li>
            <?php endif; ?>  

            <!--flickr-->

            <?php
            if (!empty($instance['flickr'])):?>
                <li>
                   <a class="icon icon-flickr" href="<?php echo wp_kses_post($instance['flickr']); ?>"></a>
                </li>
            <?php endif; ?>

            <!--linkedin-->

            <?php
            if (!empty($instance['linkedin'])):?>
                <li>
                   <a class="icon icon-linkedin" href="<?php echo wp_kses_post($instance['linkedin']); ?>"></a>
                </li>
            <?php endif; ?> 

           <!--youtube-->

            <?php
            if (!empty($instance['youtube'])):?>
                <li>
                    <a class="icon icon-youtube" href="<?php echo wp_kses_post($instance['youtube']); ?>"></a>
                </li>
            <?php endif; ?>

            <!--dribbble-->

            <?php

            if (!empty($instance['dribbble'])):?>
                <li>
                    <a class="icon icon-dribbble" href="<?php echo wp_kses_post($instance['dribbble']); ?>"></a>
                </li>
            <?php endif; ?>  
            
        <!--instagram-->

            <?php
            if (!empty($instance['instagram'])):?>
                <li>
                <a class="icon icon-instagram" href="<?php echo wp_kses_post($instance['instagram']); ?>"></a>
                </li>
            <?php endif; ?>  

        </ul>
        <?php
        echo wp_kses_post($after_widget);
    }

    function update($new_instance, $old_instance) {

        $instance = $old_instance;

        $instance['title'] = strip_tags($new_instance['title']);

        $instance['address'] = $new_instance['address'];

        $instance['hours'] = $new_instance['hours'];

        $instance['facebook'] = $new_instance['facebook'];
        $instance['twitter'] = $new_instance['twitter'];
        $instance['googleplus'] = $new_instance['googleplus'];
        $instance['pinterest'] = $new_instance['pinterest'];
        $instance['vimeo'] = $new_instance['vimeo'];
        $instance['flickr'] = $new_instance['flickr'];
        $instance['linkedin'] = $new_instance['linkedin'];
        $instance['youtube'] = $new_instance['youtube'];
        $instance['dribbble'] = $new_instance['dribbble'];
        $instance['instagram'] = $new_instance['instagram'];

        return $instance;
    }

}

add_action('widgets_init', create_function('', 'register_widget( "SmartContactList" );'));
