<?php
$car_repair_services = car_repair_services_options();
?>
<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Car_Repair_Services
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php 
	if(isset($car_repair_services['car_repair_services-site-favicon']['url']) && !empty($car_repair_services['car_repair_services-site-favicon']['url'])){?>
			<link rel="shortcut icon" href="<?php echo esc_url($car_repair_services['car_repair_services-site-favicon']['url']) ?>" type="image/x-icon"/>
		<?php
		}
	?>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

		<!-- Loader -->
 			<?php do_action('car_repair_services_header_loader'); ?>
		<!-- //Loader -->

				<!-- Header -->
	<?php 
 
	if( isset( $car_repair_services['car_repair_services-is_sticky_header'] ) && $car_repair_services['car_repair_services-is_sticky_header'] == 1  ){ ?>
	<header class="page-header sticky">
	<?php }else{ ?>
		<header class="page-header">
		<?php } ?>
			<nav class="navbar" id="slide-nav">
				<div class="container">
					<?php if(isset($car_repair_services['car_repair_services-page-header-mobile']) && $car_repair_services['car_repair_services-page-header-mobile']):
					?>
					<div class="header-info-mobile">
						<div class="header-info-mobile-inside">
						    <p><i class="icon icon-locate"></i>
					            <?php
					                if (isset($car_repair_services['car_repair_services-page-header-mobile-location']) && $car_repair_services['car_repair_services-page-header-mobile-location'] != '') {
					                    echo wp_kses_post($car_repair_services['car_repair_services-page-header-mobile-location']);
					                }
					            ?>
					        </p>
					        <p><i class="icon icon-phone"></i>
					            <?php
					                if (isset($car_repair_services['car_repair_services-page-header-mobile-phone']) && $car_repair_services['car_repair_services-page-header-mobile-phone'] != '') {
					                    echo wp_kses_post($car_repair_services['car_repair_services-page-header-mobile-phone']);
					                }
					            ?>
					        </p>
					        <p><i class="icon icon-email"></i>
					            <?php
					                if (isset($car_repair_services['car_repair_services-page-header-mobile-email']) && $car_repair_services['car_repair_services-page-header-mobile-email'] != '') {
					                    echo wp_kses_post($car_repair_services['car_repair_services-page-header-mobile-email']);
					                }
					            ?>
					        </p>
					        <p><i class="icon icon-clock"></i>
					            <?php
					                if (isset($car_repair_services['car_repair_services-page-header-mobile-hour']) && $car_repair_services['car_repair_services-page-header-mobile-hour'] != '') {
					                    echo wp_kses_post($car_repair_services['car_repair_services-page-header-mobile-hour']);
					                }
					            ?>
					        </p>
						</div>
					</div>
					<?php endif;?>

					<div class="header-row">
						
						<?php if(isset($car_repair_services['car_repair_services-page-header-mobile']) && $car_repair_services['car_repair_services-page-header-mobile']): ?>
						<div class="header-info-toggle"><i class="icon-arrow_down js-info-toggle"></i></div>
						<?php endif;?>

						<?php if(isset($car_repair_services['car_repair_services-logo']['url']) && $car_repair_services['car_repair_services-logo']['url']){?>
		                <div class="logo">
		                  <a href="<?php echo esc_url(home_url('/'))?>"><img src="<?php echo esc_url($car_repair_services['car_repair_services-logo']['url'])?>" alt="<?php esc_html_e('Logo', 'car-repair-services')?>">
						  </a>
				        </div>
						<?php }?>

			    <div class="header-right">

				<button type="button" class="navbar-toggle"><i class="icon icon-lines-menu"></i></button>

			  <?php	if(isset($car_repair_services['car_repair_services-header-right-content']) 
					&& $car_repair_services['car_repair_services-header-right-content'] == 1){
				?>
					
						<div class="header-right-top">
							<div class="address">
								<?php if( isset( $car_repair_services['car_repair_services-header-top-left-line'] ) && $car_repair_services['car_repair_services-header-top-left-line'] != '' ){ echo wp_kses_post($car_repair_services['car_repair_services-header-top-left-line']); } ?>

							</div>
							<?php	if(isset($car_repair_services['car_repair_services-header-top-right-line-switch']) 
								&& $car_repair_services['car_repair_services-header-top-right-line-switch'] == 1){
							?>
								<?php	if(isset($car_repair_services['is_modal_enable'])&& $car_repair_services['is_modal_enable'] == 1){?>
									<a href="#" class="appointment" data-toggle="modal" data-target="#appointmentForm"><i class="icon-shape icon"></i>
									<?php if( isset( $car_repair_services['car_repair_services-header-top-right-line'] ) && $car_repair_services['car_repair_services-header-top-right-line'] != '' ){ echo '<span>'. esc_html( $car_repair_services['car_repair_services-header-top-right-line'] ) .'</span>'; } ?>
									</a>
								<?php }else{
 									$url = wp_kses_post($car_repair_services['car_repair_services-appoinment-url']);
								 ?>

								<a  class="appointment" href="<?php echo esc_url($url); ?>" ><i class="icon-shape icon"></i>
									<?php if( isset( $car_repair_services['car_repair_services-header-top-right-line'] ) && $car_repair_services['car_repair_services-header-top-right-line'] != '' ){ echo '<span>'. esc_html( $car_repair_services['car_repair_services-header-top-right-line'] ) .'</span>'; } ?>
									</a>

								<?php }?>


							<?php } ?>

						</div>
						<div class="header-right-bottom">
							<div class="header-phone">
								<?php if( isset( $car_repair_services['car_repair_services-header-bottom-line'] ) && $car_repair_services['car_repair_services-header-bottom-line'] != '' ){ echo '<span class="text">'. esc_html( $car_repair_services['car_repair_services-header-bottom-line'] ) .'</span>'; } ?>
								<?php if( isset( $car_repair_services['car_repair_services-header-cell-no'] ) && $car_repair_services['car_repair_services-header-cell-no'] != '' ){ echo '<span class="phone-number">'. wp_kses_post($car_repair_services['car_repair_services-header-cell-no']) .'</span>'; } ?>
							</div>
							<?php	if(isset($car_repair_services['car_repair_services-header-top-right-cart-icon-switch']) 
								&& $car_repair_services['car_repair_services-header-top-right-cart-icon-switch'] == 1){
							?>
							<!-- start mini  cart-->
								<?php if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
												?>
			                        <div class="header-cart">
				                        <?php
				                         $count = WC()->cart->cart_contents_count;
										?><a class="cart-contents icon icon-shop-cart" href="javascript:void(0)<?php //echo WC()->cart->get_cart_url(); ?>" title="<?php _e( 'View your shopping cart','car-repair-services' ); ?>"><?php
										if ( $count > 0 ) {
											?>
											<span class="badge cart-contents-count"><?php echo esc_html( $count ); ?></span>
											<?php            
										}
											?></a>
				                        
				                        <div class="header-cart-dropdown">
				                        <?php get_template_part('woocommerce/cart/mini','cart');?>
				                        </div>
			                        </div>
		                      

		                         <?php } ?>
		                     <?php } ?>
                           <!--stop mini cart-->
						</div>
					
					<?php }?>
					</div>
				</div>
					<div id="slidemenu">
						<div class="row">
							<div class="col-md-11">
								<div class="close-menu"><i class="icon-close-cross"></i></div>
								    <?php wp_nav_menu(
                                       array( 
                                        'theme_location' => 'primary' ,
                                        'menu_class' => 'nav navbar-nav',
                                        'container' => 'ul',
                                         'walker'  => new Walker_Car_Repair_Services_Menu() //use our custom walker
                                        )
					                 ); ?>
							</div>
                            <?php if (isset($car_repair_services['car_repair_services-menu-search-button']) && $car_repair_services['car_repair_services-menu-search-button'] == 1) { ?>
                                <div class="col-md-1">
								<div class="search-container">
									<?php get_search_form(); ?>
								</div>
							</div>
                            <?php }
                               ?>
						</div>
					</div>
				</div>
			</nav>
		</header>
		<!-- // Header -->