<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Car_Repair_Services
 */

$car_repair_services_opt = car_repair_get_options();
get_header(); ?>
<?php 

$show_breadcrumb = get_post_meta(get_the_ID(), 'framework_show_breadcrumb', true);

if ( is_home() && ! is_front_page() ){ ?>

<div id="pageTitle">
    <?php if (!is_front_page() && (!$show_breadcrumb || $show_breadcrumb == 'on') ) : ?>
    <?php do_action('car_repair_services_breadcrumb'); ?>
    <?php endif;?>
    <header class="entry-header">
        <?php // echo single_post_title(); 
        $myvalue = single_post_title('',false);

        $arr = explode(' ',trim($myvalue));
        $push=array_shift( $arr);
        $push1 = implode(' ', $arr);

        ?>
        <h1><?php echo $push; ?> <span class="color"><?php echo $push1; ?></span></h1>
    </header>
</div>
<?php } ?>

    <div id="pageContent">
        <div class="container">
            <div class="row">
        
            
            <?php if( isset($car_repair_services_opt['blogpost_layout_view']) && $car_repair_services_opt['blogpost_layout_view'] == 'grid-view' ){ ?>

                <div class="blog-isotope">
                    <?php
                    if ( have_posts() ) :
                    ?><div class="post_loop_cont_wrap"><?php 
                        if ( is_home() && ! is_front_page() ) : ?>
                        <?php
                        endif;
                        ?>
                        <div class="post_loop_cont">
                        <?php 
                        /* Start the Loop */
                        while ( have_posts() ) : the_post();

                            /*
                             * Include the Post-Format-specific template for the content.
                             * If you want to override this in a child theme, then include a file
                             * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                             */

                            ?>
                                <div class="blog-post">
                                    <div class="post-image">
                                    <?php get_template_part( 'template-parts/media/content', get_post_format() );   ?> 
                                    </div>
                                    <div class="post-content">
                                        <ul class="post-meta">
                                            <li class="author"><?php esc_html_e('by', 'car-repair-services')?> <b><i><?php the_author();?></i></b></li>
                                <li><a href="<?php the_permalink() ?>"><i class="icon icon-clock"></i><span><?php echo get_the_date()?></span></a></li>
                                            <li><i class="icon icon-interface"></i><span><?php comments_number( esc_html__('0', 'car-repair-services'), esc_html__('1', 'car-repair-services'), esc_html__('%', 'car-repair-services') ); ?></span></li>
                                        </ul>
                                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                        <div class="post-author"><?php esc_html_e( 'by', 'car-repair-services' ); ?> <?php printf(esc_html__('%s', 'car-repair-services'), get_the_author())?></div>
                                        <div class="post-teaser">
                                            <?php the_excerpt(); ?>
                                        </div>
                                        <a href="<?php the_permalink() ?>" class="btn"><span><?php esc_html_e('Continue Reading', 'car-repair-services')?></span></a>
                                    </div>
                                </div>
                            <?php 
                            
                        endwhile;
                        ?>
                        </div>
                        <div class="clearfix"></div>
                        <?php 
                        
                        if( isset($car_repair_services_opt['blogpost_pagination_load']) && $car_repair_services_opt['blogpost_pagination_load'] == 'navigation' ){ 
                            the_posts_navigation();
                        }elseif( isset($car_repair_services_opt['blogpost_pagination_load']) && $car_repair_services_opt['blogpost_pagination_load'] == 'ajax_load' ){
                            ?>
                            <div id="postPreload"></div>
                            <div id="post_ajax_load"></div>
                            <div class="text-center"><a class="btn btn-default view-more-post ajax_load_post_btn" data-post_per_load="<?php echo get_option('posts_per_page'); ?>" data-load="post-more-ajax-card.txt" ><?php esc_html_e('More Posts', 'car-repair-services'); ?></a>
                            <img class="ajax_load_post_img" src="<?php echo esc_url(CAR_REPAIR_SERVICES_IMG_URL); ?>ajax-loader.gif" /> 
                            </div>
                            <div class="divider divider-lg"></div>
                            <?php 
                        }else{
                            the_posts_pagination();
                        }
                        ?></div><?php 
                    else :

                        get_template_part( 'template-parts/content', 'none' );

                    endif; ?>
                
                </div> 
            <?php } else{ ?>
            </div>
            <div class="row">
                <div class="col-md-9 column-center">
                    
                    <?php 
                    if ( have_posts() ) :
                        ?>
                        <div class="post_loop_cont_wrap">
                        <?php 
                        if ( is_home() && ! is_front_page() ) : ?>
                        <?php
                        endif;
                        ?>

                        <div class="post_loop_cont">
                        <?php 
                        /* Start the Loop */
                        while ( have_posts() ) : the_post();
                        $post_id = $post->ID;
                            ?>

                            <div class="blog-post">
                            <?php
                             $format = get_post_format( $post_id ); 
                            if ($format=="quote") {
    
                           
                            ?>
                             <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            
                             <?php the_content(); 
                              car_repair_services_posted_on() ;
                         } ?>
                            <?php get_template_part( 'template-parts/media/content', get_post_format() );   ?>

                               <?php 
                                if($format!="quote") :
                                ?>
                               <?php car_repair_services_posted_on() ;?>
                                <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                               <?php
                                 if( get_option('rss_use_excerpt') ){
                                the_excerpt();
                                echo '<a href="'. get_the_permalink() .'" class="readmore btn btn-default btn-blue">'. esc_html__('Read more', 'car-repair-services') . '</a>';
                                    } else{
                                        the_content( sprintf(
                                            /* translators: %s: Name of current post. */
                                            wp_kses( __( 'Continue reading %s', 'car-repair-services' ), array( 'span' => array( 'class' => array() ) ) ),
                                            the_title( '<span class="screen-reader-text">"', '"</span>', false )
                                        ) );
                                    }

                                wp_link_pages( array(
                                    'before'      => '<div class="page-pagination"><div class="page-numbers"><span class="page-links-title">' . esc_html__( 'Pages:', 'car-repair-services' ) . '</span>',
                                    'after'       => '</div></div>',
                                    'link_before' => '<span>',
                                    'link_after'  => '</span>',
                                    'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'car-repair-services' ) . ' </span>%',
                                    'separator'   => ', ',
                                ) );
                                ?>
            
                            <?php endif;?>
                            </div>
                            <?php 

                        endwhile;
                        ?>
                        </div>
                        <div class="clearfix"></div>
                        <?php 
                        
                        if( isset($car_repair_services_opt['blogpost_pagination_load']) && $car_repair_services_opt['blogpost_pagination_load'] == 'navigation' ){ 
                            the_posts_navigation();
                        }elseif( isset($car_repair_services_opt['blogpost_pagination_load']) && $car_repair_services_opt['blogpost_pagination_load'] == 'ajax_load' ){
                            ?>
                            <div id="postPreload"></div>
                            <div class="text-center"><a class="btn btn-default view-more-post ajax_load_post_btn" data-post_per_load="<?php echo get_option('posts_per_page'); ?>" data-load="post-more-ajax-card.txt" ><?php esc_html_e('More Posts', 'car-repair-services'); ?></a>
                            <img class="ajax_load_post_img" src="<?php echo CAR_REPAIR_SERVICES_IMG_URL; ?>ajax-loader.gif" />
                            </div>
                            <div class="divider divider-lg"></div>
                            <?php 
                        }else{
                            the_posts_pagination();
                        }
                        ?></div><?php 
                    else :  

                        get_template_part( 'template-parts/content', 'none' );

                    endif; ?>
                
                </div>
                <?php get_sidebar();?>
            </div>
            <?php } ?>
        
        </div>
    </div>
<?php
get_footer();